From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1511405-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (2048 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id 4B94B15ACFB
	for <garchives@archives.gentoo.org>; Tue, 25 Apr 2023 02:22:44 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id 7E042E095A;
	Tue, 25 Apr 2023 02:22:43 +0000 (UTC)
Received: from smtp.gentoo.org (woodpecker.gentoo.org [IPv6:2001:470:ea4a:1:5054:ff:fec7:86e4])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id 4B3D2E095A
	for <gentoo-commits@lists.gentoo.org>; Tue, 25 Apr 2023 02:22:43 +0000 (UTC)
Received: from oystercatcher.gentoo.org (oystercatcher.gentoo.org [148.251.78.52])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id 68625340ED0
	for <gentoo-commits@lists.gentoo.org>; Tue, 25 Apr 2023 02:22:42 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id C829CA49
	for <gentoo-commits@lists.gentoo.org>; Tue, 25 Apr 2023 02:22:40 +0000 (UTC)
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Sam James" <sam@gentoo.org>
Message-ID: <1682389329.91be320f2480e8b48c5812a9ed412688ccd6b06a.sam@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: www-apps/cgit/
X-VCS-Repository: repo/gentoo
X-VCS-Files: www-apps/cgit/cgit-1.2.3-r202.ebuild
X-VCS-Directories: www-apps/cgit/
X-VCS-Committer: sam
X-VCS-Committer-Name: Sam James
X-VCS-Revision: 91be320f2480e8b48c5812a9ed412688ccd6b06a
X-VCS-Branch: master
Date: Tue, 25 Apr 2023 02:22:40 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: 39c7eecb-31ee-4841-9935-e0b734a0bf3e
X-Archives-Hash: 20a0451fecf67d20b3efc496728925a8

commit:     91be320f2480e8b48c5812a9ed412688ccd6b06a
Author:     Chris Mayo <aklhfex <AT> gmail <DOT> com>
AuthorDate: Mon Apr 24 18:22:28 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Apr 25 02:22:09 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=91be320f

www-apps/cgit: Create cache directory at runtime

Closes: https://bugs.gentoo.org/516388
Signed-off-by: Chris Mayo <aklhfex <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/30724
Signed-off-by: Sam James <sam <AT> gentoo.org>

 www-apps/cgit/cgit-1.2.3-r202.ebuild | 115 +++++++++++++++++++++++++++++++++++
 1 file changed, 115 insertions(+)

diff --git a/www-apps/cgit/cgit-1.2.3-r202.ebuild b/www-apps/cgit/cgit-1.2.3-r202.ebuild
new file mode 100644
index 000000000000..dc581d8b548c
--- /dev/null
+++ b/www-apps/cgit/cgit-1.2.3-r202.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1..2} luajit )
+
+PYTHON_COMPAT=( python3_{9..11} )
+
+WEBAPP_MANUAL_SLOT="yes"
+
+inherit lua-single python-single-r1 tmpfiles toolchain-funcs webapp
+
+[[ -z "${CGIT_CACHEDIR}" ]] && CGIT_CACHEDIR="/var/cache/${PN}/"
+
+GIT_V="2.25.1"
+
+DESCRIPTION="a fast web-interface for git repositories"
+HOMEPAGE="https://git.zx2c4.com/cgit/about"
+SRC_URI="https://www.kernel.org/pub/software/scm/git/git-${GIT_V}.tar.xz
+	https://git.zx2c4.com/cgit/snapshot/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~riscv ~x86"
+IUSE="doc +highlight +lua test"
+REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} ) ${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	${PYTHON_DEPS}
+	acct-group/cgit
+	acct-user/cgit
+	dev-libs/openssl:0=
+	dev-vcs/git
+	highlight? (
+		$(python_gen_cond_dep 'dev-python/pygments[${PYTHON_USEDEP}]' )
+	)
+	lua? ( ${LUA_DEPS} )
+	sys-libs/zlib
+	virtual/httpd-cgi
+"
+# ebuilds without WEBAPP_MANUAL_SLOT="yes" are broken
+DEPEND="${RDEPEND}"
+BDEPEND="
+	doc? (
+		app-text/docbook-xsl-stylesheets
+		>=app-text/asciidoc-8.5.1
+	)
+"
+
+pkg_setup() {
+	python_setup
+	webapp_pkg_setup
+	use lua && lua-single_pkg_setup
+}
+
+src_configure() {
+	rmdir git || die
+	mv "${WORKDIR}"/git-"${GIT_V}" git || die
+
+	echo "prefix = ${EPREFIX}/usr" >> cgit.conf || die "echo prefix failed"
+	echo "libdir = ${EPREFIX}/usr/$(get_libdir)" >> cgit.conf || die "echo libdir failed"
+	echo "CGIT_SCRIPT_PATH = ${MY_CGIBINDIR}" >> cgit.conf || die "echo CGIT_SCRIPT_PATH failed"
+	echo "CGIT_DATA_PATH = ${MY_HTDOCSDIR}" >> cgit.conf || die "echo CGIT_DATA_PATH failed"
+	echo "CACHE_ROOT = ${CGIT_CACHEDIR}" >> cgit.conf || die "echo CACHE_ROOT failed"
+	echo "DESTDIR = ${D}" >> cgit.conf || die "echo DESTDIR failed"
+	if use lua; then
+		echo "LUA_PKGCONFIG = ${ELUA}" >> cgit.conf || die "echo LUA_PKGCONFIG failed"
+	else
+		echo "NO_LUA = 1" >> cgit.conf || die "echo NO_LUA failed"
+	fi
+}
+
+src_compile() {
+	emake V=1 AR="$(tc-getAR)" CC="$(tc-getCC)" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"
+	use doc && emake V=1 doc-man
+}
+
+src_install() {
+	webapp_src_preinst
+
+	emake V=1 AR="$(tc-getAR)" CC="$(tc-getCC)" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" install
+
+	insinto /etc
+	doins "${FILESDIR}"/cgitrc
+
+	dodoc README
+	use doc && doman cgitrc.5
+
+	webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
+	webapp_src_install
+
+	cat > cgit.conf <<-EOT || die
+		d ${CGIT_CACHEDIR} 0700 cgit cgit -
+	EOT
+	dotmpfiles cgit.conf
+
+	python_fix_shebang .
+}
+
+src_test() {
+	emake V=1 AR="$(tc-getAR)" CC="$(tc-getCC)" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" test
+}
+
+pkg_postinst() {
+	webapp_pkg_postinst
+	tmpfiles_process cgit.conf
+	ewarn "The cgit cache is enabled using the cache-size setting in cgitrc."
+	ewarn "If enabling the cache and running cgit using the web server's user"
+	ewarn "you should copy ${EROOT}/usr/lib/tmpfiles.d/cgit.conf"
+	ewarn "to ${EROOT}/etc/tmpfiles.d/ and edit, changing the ownership fields."
+	ewarn "If you use the cache-root setting in cgitrc to specify a cache directory"
+	ewarn "other than ${CGIT_CACHEDIR} edit the path in cgit.conf."
+}